com.google.gwt.uibinder.client

## Interface UiRenderer

    public interface UiRenderer

Marker interface for classes whose implementation is to be provided via UiBinder code generation for SafeHtml rendering.

This is experimental code in active development. It is unsupported, and its api is subject to change.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isParentOrRenderer(Element parent)` Checks whether `parent` is a valid element to use as an argument for field getters.

### Method Detail

#### isParentOrRenderer

    boolean isParentOrRenderer(Element parent)

Checks whether `parent` is a valid element to use as an argument for field getters.

Returns:
  `true` if parent contains or directly points to a previously rendered element. In DevMode it also checks whether the parent is attached to the DOM